## AgsFluidUtil

AgsFluidUtil — fluid util

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | ags_fluid_phase_set()
#define | ags_fluid_phase_set_int()
#define | ags_fluid_phase_set_float()
#define | ags_fluid_phase_from_index_fract()
#define | ags_fluid_phase_index()
#define | ags_fluid_phase_fract()
#define | ags_fluid_phase_index_round()
#define | ags_fluid_phase_fract_to_tablerow()
#define | ags_fluid_phase_double()
#define | ags_fluid_phase_incr()
#define | ags_fluid_phase_decr()
#define | ags_fluid_phase_sub_int()
#define | ags_fluid_phase_index_plusplus()
gdouble | ags_fluid_ct2hz_real ()
gdouble | ags_fluid_ct2hz ()

## Types and Values

#define | AGS_FLUID_INTERP_BITS
#define | AGS_FLUID_INTERP_BITS_MASK
#define | AGS_FLUID_INTERP_BITS_SHIFT
#define | AGS_FLUID_FRACT_MAX
#define | AGS_FLUID_INTERP_MAX
#define | AGS_FLUID_SINC_INTERP_ORDER
#define | AGS_FLUID_CENTS_HZ_SIZE

## Object Hierarchy

        GBoxed
        ╰── AgsFluidUtil

## Includes

    #include <ags/audio/ags_fluid_util.h>

## Description

Fluid utility functions.

## Functions

### ags_fluid_phase_set()

    #define ags_fluid_phase_set(a,b) a=b;

### ags_fluid_phase_set_int()

    #define ags_fluid_phase_set_int(a, b)    ((a) = ((guint64)(b)) << 32)

### ags_fluid_phase_set_float()

    #define             ags_fluid_phase_set_float(a, b)

### ags_fluid_phase_from_index_fract()

    #define             ags_fluid_phase_from_index_fract(index, fract)

### ags_fluid_phase_index()

    #define             ags_fluid_phase_index(_x)

### ags_fluid_phase_fract()

    #define             ags_fluid_phase_fract(_x)

### ags_fluid_phase_index_round()

    #define             ags_fluid_phase_index_round(_x)

### ags_fluid_phase_fract_to_tablerow()

    #define             ags_fluid_phase_fract_to_tablerow(_x)

### ags_fluid_phase_double()

    #define             ags_fluid_phase_double(_x)

### ags_fluid_phase_incr()

    #define ags_fluid_phase_incr(a, b)  a += b

### ags_fluid_phase_decr()

    #define ags_fluid_phase_decr(a, b)  a -= b

### ags_fluid_phase_sub_int()

    #define ags_fluid_phase_sub_int(a, b)  ((a) -= (guint64)(b) << 32)

### ags_fluid_phase_index_plusplus()

    #define ags_fluid_phase_index_plusplus(a)  (((a) += 0x100000000LL)

### ags_fluid_ct2hz_real ()

    gdouble
    ags_fluid_ct2hz_real (gdouble cents);

### ags_fluid_ct2hz ()

    gdouble
    ags_fluid_ct2hz (gdouble cents);

## Types and Values

### AGS_FLUID_INTERP_BITS

    #define AGS_FLUID_INTERP_BITS        (8)

### AGS_FLUID_INTERP_BITS_MASK

    #define AGS_FLUID_INTERP_BITS_MASK   (0xff000000)

### AGS_FLUID_INTERP_BITS_SHIFT

    #define AGS_FLUID_INTERP_BITS_SHIFT  (24)

### AGS_FLUID_FRACT_MAX

    #define AGS_FLUID_FRACT_MAX ((gdouble) 4294967296.0)

### AGS_FLUID_INTERP_MAX

    #define AGS_FLUID_INTERP_MAX         (2048)

### AGS_FLUID_SINC_INTERP_ORDER

    #define AGS_FLUID_SINC_INTERP_ORDER 7     /* 7th order constant */

### AGS_FLUID_CENTS_HZ_SIZE

    #define AGS_FLUID_CENTS_HZ_SIZE     (1200)